<?php
/*
Plugin Name: ForcePrivate
Description: Force all posts by users without Editor or higher role to be private
Version: 1.0
Author: Elliott Bristow
Author URI: http://jigsawspain.com

Copyright 2013 Jigsaw Spain (http://jigsawspain.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License (Version 3 - GPLv3) as published by
the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Force post to private if not an editor
function force_private_post($post)
{
    if ( !$post['post_status'] == 'draft' && !current_user_can('edit_private_posts', $post['ID']) )
        $post['post_status'] = 'private';
    return $post;
}
add_filter('wp_insert_post_data', 'force_private_post');

?>